- Create Asset Governance
- Get Asset Governance By Asset
- Get Asset Governance By Asset Raw
- Get Asset Governance By Source
- Get Asset Governance
- Get Asset Governance Records
- Update Asset Governance
- Delete Asset Governance
POST /api/v1/governanceCreate a new asset governance recordResponseboolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Create a new asset governance record",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/asset/{assetId}Get consolidated governance data for a specific asset (including children if it’s a parent)Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/asset/{assetId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get consolidated governance data for a specific asset (including children if it's a parent)",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"tag": [],
"domain": [],
"product": [],
"application": [],
"term": [],
"owner": [],
"asset_info": {
"asset_id": "004fbf50-60b1-58d0-91fe-e49bd2738dd5",
"asset_name": "COMPUTED_TXN_COUNT",
"asset_type": "ATTRIBUTE",
"source_id": "27b7f521-5991-49cd-8ca6-1adbff51038f",
"source_name": "PowerBI_Sanity_Check"
},
"total_records": 1
}
}
GET /api/v1/governance/asset/{assetId}/rawGet raw governance records array for a specific asset (including children if it’s a parent)Path Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
Example:
"27b7f521-5991-49cd-8ca6-1adbff51038f".string
Example:
"004fbf50-60b1-58d0-91fe-e49bd2738dd5".string
Example:
"ATTRIBUTE".string
Example:
"COMPUTED_TXN_COUNT".string
Example:
"PowerBI_Sanity_Check".string
string
string
string
object[]
string
string
Example:
"6197cbc9-6c90-4ea0-9546-7046d3932db4".string
Example:
"2026-09-19T15:12:19.393374Z".string
Example:
"2026-09-20T15:40:11.397744Z".string
string
Example:
"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/asset/{assetId}/raw" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get raw governance records array for a specific asset (including children if it's a parent)",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/source/{sourceId}Get all governance records for a specific sourcePath Parametersstring
required
Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/source/{sourceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get all governance records for a specific source",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
GET /api/v1/governance/{assetGovernanceId}Get an asset governance record by IDPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
string
Example:
"08c42344-f0bc-49a4-8e1e-906dd2c2af10".string
string
string
string
string
string
string
string
string
Example:
"c066a2c8-d558-421d-a1c5-a6df58987d7b".string
Example:
"2026-08-19T13:31:47.957255Z".string
Example:
"2026-08-19T13:31:47.957256Z".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".string
Example:
"85b88faf-5037-4de7-8a6e-ab61baed84a5".curl -X GET "https://<your-workspace>.prizmdata.ai/api/v1/governance/{assetGovernanceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Get an asset governance record by ID",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"source_id": null,
"asset_id": "08c42344-f0bc-49a4-8e1e-906dd2c2af10",
"asset_type": null,
"asset_name": null,
"source_name": null,
"domain": [
{
"id": "9fe1971d-50fd-49c1-99c8-fda6ab5bf889",
"label": "Domain_1"
}
],
"application": null,
"product": null,
"tag": null,
"term": null,
"owner": null,
"id": "c066a2c8-d558-421d-a1c5-a6df58987d7b",
"created_at": "2026-08-19T13:31:47.957255Z",
"modified_at": "2026-08-19T13:31:47.957256Z",
"created_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5",
"modified_by": "85b88faf-5037-4de7-8a6e-ab61baed84a5"
}
}
POST /api/v1/governance/listGet asset governance records with optional filteringRequest Bodyobject[]
object[]
string
Example:
"".boolean
Example:
false.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
string
string
string
string
string
string
string
string
string
string
object[]
string
Example:
"57031eaf-19c6-4afc-99ae-163ebd8684c8".string
Example:
"2026-09-20T16:58:28.877559Z".string
Example:
"2026-09-20T18:40:37.501855Z".string
Example:
"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b".string
Example:
"e67fcce2-34f6-48e5-b53c-5c8c4a209d2b".curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/governance/list" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 10
},
"sorting": [],
"filters": [],
"search": "",
"export": false
}'
Response
{
"success": true,
"message": "Get asset governance records with optional filtering",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
PUT /api/v1/governance/{assetGovernanceId}Update an asset governance recordPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X PUT "https://<your-workspace>.prizmdata.ai/api/v1/governance/{assetGovernanceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{}'
Response
{
"success": true,
"message": "Update an asset governance record",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}
DELETE /api/v1/governance/{assetGovernanceId}Delete an asset governance recordPath Parametersstring
required
Example: “
boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
The endpoint’s response payload.
curl -X DELETE "https://<your-workspace>.prizmdata.ai/api/v1/governance/{assetGovernanceId}" \
-H "Authorization: Bearer <YOUR_API_TOKEN>"
Response
{
"success": true,
"message": "Delete an asset governance record",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {}
}